# Roadmap

The roadmap tracks the status of components and features that are planned for development.

## Versioning

Shoelace follows [Semantic Versioning](https://semver.org/). Breaking changes in components with the <sl-badge type="primary" pill>Stable</sl-badge> badge will not be accepted until the next major version. As such, all contributions must consider the project's roadmap and take this into consideration. Features that are deemed no longer necessary will be deprecated but not removed.

Components with the <sl-badge type="warning" pill>Experimental</sl-badge> badge should not be used in production. They are made available as release candidates for development and testing purposes. As such, changes to experimental components will not be subject to semantic versioning.

## Changelog

The changelog is available in the project's source in the `CHANGELOG.md` file.

You can [view the most recent changelog](https://github.com/shoelace-style/shoelace/blob/next/CHANGELOG.md) on GitHub.

## 2.1 🧭

Version 2.1 is still in the planning phase. To request a feature, please [submit an issue](https://github.com/shoelace-style/shoelace/issues) on GitHub. Make sure to search for existing issues and vote using 👍 to add your support!

?> Is there a feature you really want to see here? Sponsoring Shoelace is the best way to prioritize its development. [Learn more](https://github.com/sponsors/claviska)

## 2.0 🧪

Shoelace 2.0 is currently in beta. The primary goal of the beta period is to ensure the library's stability. New features may be introduced, but nothing specific is planned.

At this point, bugs and API issues receive the highest priority.